Bug 805035 - Review Request: janino-parent - Parent POM for Janino
Review Request: janino-parent - Parent POM for Janino
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 805037 805047
  Show dependency treegraph
 
Reported: 2012-03-20 09:55 EDT by Mary Ellen Foster
Modified: 2012-04-16 10:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: janino-parent-2.6.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2012-03-20 09:55:27 EDT
Spec URL: http://mef.fedorapeople.org//janino-parent.spec
SRPM URL: http://mef.fedorapeople.org//janino-parent-2.6.1-1.fc15.src.rpm

Description:
Parent POM for Janino.
Comment 1 Mary Ellen Foster 2012-03-20 09:55:36 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3913375
Comment 2 Tomas Radej 2012-03-21 08:15:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint janino-parent-2.6.1-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint janino-parent-2.6.1-1.fc18.noarch.rpm

janino-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/tradej/reviews/805035/janino-parent-2.6.1.pom :
  MD5SUM this package     : cef7c4d981156aa2382d46fe5813bca3
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: http://repo1.maven.org/maven2/org/codehaus/janino/janino-
     parent/2.6.1/janino-parent-2.6.1.pom (janino-parent-2.6.1.pom) Patch0:
     janino-parent-remove-modules.patch (janino-parent-remove-modules.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms



*** ISSUES ***
[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
See: https://fedoraproject.org/wiki/Packaging:Java
>>>> Please, fix the Requires


*** NOTES ***
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
>>>> Would be nice to have

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: http://repo1.maven.org/maven2/org/codehaus/janino/janino-
     parent/2.6.1/janino-parent-2.6.1.pom (janino-parent-2.6.1.pom) Patch0:
     janino-parent-remove-modules.patch (janino-parent-remove-modules.patch)
>>>> It would be safer to use %{name}-remove-modules.patch

[!]: MUST Rpmlint output is silent.
>>>> Ignore this

rpmlint janino-parent-2.6.1-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint janino-parent-2.6.1-1.fc18.noarch.rpm

janino-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
>>>> It's the timestamp, diff is clean. Ignore this

/home/tradej/reviews/805035/janino-parent-2.6.1.pom :
  MD5SUM this package     : cef7c4d981156aa2382d46fe5813bca3
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
See: https://fedoraproject.org/wiki/Packaging:Java

Generated by fedora-review 0.1.3
External plugins:

================

Please, add the Requires on jpackage-utils, but it would be nice if you did the other fixes as well. Good otherwise.

*** APPROVED ***
Comment 3 Mary Ellen Foster 2012-03-21 11:10:40 EDT
For future reference, here's the updated package:
- Add proper jpackage-utils requires
- Rename patch file
- Add upstream license

Spec URL: http://mef.fedorapeople.org//janino-parent.spec
SRPM URL: http://mef.fedorapeople.org//janino-parent-2.6.1-2.fc15.src.rpm
Comment 4 Mary Ellen Foster 2012-03-21 11:11:15 EDT
New Package SCM Request
=======================
Package Name:      janino-parent
Short Description: Parent POM for Janino
Owners:            mef
Branches:          f17
Comment 5 Gwyn Ciesla 2012-03-21 11:40:45 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-27 08:10:41 EDT
janino-parent-2.6.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/janino-parent-2.6.1-2.fc17
Comment 7 Fedora Update System 2012-03-28 01:55:32 EDT
janino-parent-2.6.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-04-11 22:59:33 EDT
janino-parent-2.6.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Mary Ellen Foster 2012-04-16 10:07:03 EDT
Package Change Request
======================
Package Name: janino
New Branches: f15 f16
Owners: mef
Comment 10 Gwyn Ciesla 2012-04-16 10:12:51 EDT
f15 and f16 already exist.
Comment 11 Mary Ellen Foster 2012-04-16 10:23:52 EDT
Package Change Request
======================
Package Name: janino-parent
New Branches: f15 f16
Owners: mef

Whoops -- wrong package name
Comment 12 Gwyn Ciesla 2012-04-16 10:27:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.